"
I represent a text node inside a Grafoscopio notebook.
Usually my content is markdown text.
"
Class {
	#name : #GrafoscopioTextModel,
	#superclass : #SpPresenter,
	#instVars : [
		'body'
	],
	#category : #'Grafoscopio-UI'
}

{ #category : #specs }
GrafoscopioTextModel class >> defaultSpec [
	^ SpBoxLayout newVertical
		add: #body;
		yourself
]

{ #category : #accessing }
GrafoscopioTextModel >> body [
	^ body
]

{ #category : #accessing }
GrafoscopioTextModel >> body: anObject [
	body := anObject
]

{ #category : #API }
GrafoscopioTextModel >> content: aGrafoscopioNodeContent [
	body text: aGrafoscopioNodeContent
]

{ #category : #initialization }
GrafoscopioTextModel >> initializeWidgets [

	body := self newText.
	body autoAccept: true.
]
